org.apache.fop.pdf

## Class PDFNavigatorAction

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFIdentifiedDictionary
      - - org.apache.fop.pdf.PDFNavigatorAction

- All Implemented Interfaces:
    PDFWritable
  Direct Known Subclasses:
    PDFSetOCGStateAction, PDFTransitionAction

      public abstract class PDFNavigatorAction
      extends PDFIdentifiedDictionary

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PDFNavigatorAction(String id)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.fop.pdf.PDFIdentifiedDictionary

      `getId, hasId`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFNavigatorAction

          protected PDFNavigatorAction(String id)

Copyright © 2023 Apache Software Foundation. All rights reserved.